Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
streaming-pipelines
List streaming pipeline definitions
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines \
  --header 'Authorization: Bearer <token>'
{
  "page": 1,
  "results": [
    {
      "advancedProperties": {
        "max.batch.size": 10000
      },
      "agentId": "12345678-1234-1234-1234-123456789012",
      "name": "A Streaming Pipeline",
      "projectId": "12345678-1234-1234-1234-123456789012",
      "streamingPipelineId": "12345678-1234-1234-1234-123456789012",
      "streamingSource": {
        "connection": {
          "host": "127.0.0.1",
          "password": {
            "secretName": "the-secret-name",
            "secretType": "AWS_SECRETS_MANAGER",
            "secretKey": "the-secret-key",
            "secretLocation": "the-secret-location"
          },
          "port": 8471,
          "username": "db2_streaming_user",
          "jdbcProperties": {
            "date format": "ymd"
          }
        },
        "tables": [
          {
            "schema": "SCHEMA_A",
            "table": "TABLE_A"
          }
        ],
        "type": "db2ibmi"
      },
      "streamingTarget": {
        "accountKey": {
          "secretName": "the-secret-name",
          "secretType": "AWS_SECRETS_MANAGER",
          "secretKey": "the-secret-key",
          "secretLocation": "the-secret-location"
        },
        "accountName": "abs-account-name",
        "container": "streaming-container",
        "type": "abs",
        "decimalMapping": "LEGACY",
        "prefix": "streaming-prefix"
      }
    }
  ],
  "size": 50,
  "total": 472
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required

The ID of the project in which to list the streaming pipeline definitions

Query Parameters

Response

A page of streaming pipeline definitions. Possibly empty if no definitions exist in the account and project

page
integer<int32>

The 0-indexed page number of the returned results.

Example:

1

results
object[]

Page of results or empty.

size
integer<int32>

The size of each page of results.

Example:

50

total
integer<int64>

Total number of available results across all pages.

Example:

472